%define	module	Module-ScanDeps
%define	name	perl-%{module}
%define	modprefix Module

%define	version	0.72
%define	release	%mkrel 1

Version:	%{version}
Name:		%{name}
Release:	%{release}
Summary:	Recursively scan Perl code for dependencies
License:	Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{module}
Source:		http://www.cpan.org/modules/by-module/%{modprefix}/%{module}-%{version}.tar.bz2
%if %{mdkversion} < 1010
Buildrequires:	perl-devel >= 5.4
%endif
BuildRequires:	perl(File::Temp)
Requires:	perl >= 5.4
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
This is a module to recursively scan Perl programs for dependencies.

An application of Module::ScanDeps is to generate executables from scripts
that contains necessary modules; this module supports two such projects, PAR
and App::Packer.  Please see their respective documentations on CPAN for
further information.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make 

%check
%__make test

%install
rm -rf %{buildroot}
%{makeinstall_std}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS Changes README
%{_bindir}/*
%{_mandir}/man*/*
%{perl_vendorlib}/%{modprefix}


%changelog
* Sat Mar 03 2007 Olivier Thauvin <nanardon@mandriva.org> 0.72-1mdv2007.0
+ Revision: 131693
- 0.72

* Sun Aug 06 2006 Scott Karns <scottk@mandriva.org> 0.62-1mdv2007.0
+ Revision: 53472
- Version 0.62
- import perl-Module-ScanDeps-0.61-1mdv2007.0


* Sat Jul 01 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.61-1mdv2007.0
- New version 0.61
- use HTTP source URL

* Thu May 25 2006 Scott Karns <scottk@mandriva.org> 0.60-1mdv2007.0
- New release 0.60

* Fri May 05 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.59-1mdk
- New release 0.59

* Tue Apr 18 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.58-1mdk
- New release 0.58
- fix directory ownership
- better source URL
- spec cleanup

* Mon Mar 06 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.57-1mdk
- 0.57

* Mon Feb 27 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.56-1mdk
- 0.56

* Mon Jan 30 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.54-1mdk
- 0.54

* Tue Jan 10 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.53-1mdk
- 0.53

* Tue Dec 13 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.52-1mdk
- 0.52
- Clean up BuildRequires

* Mon Jan 10 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.51-1mdk
- 0.51 (now scandeps.pl doesn't require CPANPLUS anymore)

* Mon Oct 11 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.50-1mdk
- 0.50

* Tue Aug 31 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.47-1mdk
- 0.47

* Fri Jul 02 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.46-1mdk
- 0.46

* Thu Jun 10 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.44-1mdk
- 0.44

* Fri Jun 04 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.43-1mdk
- 0.43
- cosmetics

* Fri May 21 2004 Florin <florin@mandrakesoft.com> 0.42-1mdk
- first Mandrake Release

